getSalesInvoiceLine
READGet sales invoice line.
POST /api/v1/invoicing/getSalesInvoiceLine
curl -X POST '<your-host>/api/v1/invoicing/getSalesInvoiceLine' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"salesInvoiceLineId": "string"
}'Response
{
"accountId": "string",
"addOnCost": 0,
"assetId": "string",
"companyId": "string",
"convertedAddOnCost": 0,
"convertedNonTaxableAddOnCost": 0,
"convertedSetupPrice": 0,
"convertedShippingCost": 0,
"convertedUnitPrice": 0,
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"deliveryFillOrderId": "string",
"description": "string",
"energyLineKind": "string",
"exchangeRate": 0,
"externalNotes": "…",
"id": "string",
"internalNotes": "…",
"invoiceId": "string",
"invoiceLineType": "Fixed Asset",
"itemId": "string",
"locationId": "string",
"methodType": "Purchase to Order",
"nonTaxableAddOnCost": 0,
"opportunityId": "string",
"quantity": 0,
"readableId": "string",
"salesOrderId": "string",
"salesOrderLineId": "string",
"setupPrice": 0,
"shippingCost": 0,
"sortOrder": 0,
"storageUnitId": "string",
"taxPercent": 0,
"unitOfMeasureCode": "string",
"unitPrice": 0,
"updatedAt": "string",
"updatedBy": "string"
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"salesInvoiceLineId": {
"type": "string"
}
},
"required": [
"salesInvoiceLineId"
]
}